IO::Socket::SSL upgrade after migration 5 to 6 (Centos 7 + Postgresql)

Moderator: crythias

Post Reply
LXsysadmin
OTRS newbie
Posts: 21
Joined: 28 Jun 2018, 12:23
OTRS Version?: 5.0.22
Real Name: Martins

IO::Socket::SSL upgrade after migration 5 to 6 (Centos 7 + Postgresql)

Post by LXsysadmin »

Can you tell me please, how to upgrade these specific perl modules?

OS: Centos 7 with Postgresql 11.5
OTRS: v6 (after migration from v5)

o IO::Socket::SSL..................ok (v1.94)
Please consider updating to version 2.066 or higher: This version fixes email sending (bug#14357).
o JSON::XS.........................ok (v3.01)
o List::Util::XS...................ok (v1.27)
o LWP::UserAgent...................ok (v6.26)
o Mail::IMAPClient.................ok (v3.37)
o IO::Socket::SSL................ok (v1.94)
Please consider updating to version 2.066 or higher: This version fixes email sending (bug#14357).
o Authen::SASL...................ok (v2.15)
o Authen::NTLM...................ok (v1.09)
o ModPerl::Util....................ok (v2.000010)
o Net::DNS.........................ok (v0.72)
o Net::LDAP........................ok (v0.56)
o Net::SMTP........................ok (v2.31)
Please consider updating to version 3.11 or higher: This version fixes email sending (bug#14357).

root
Moderator
Posts: 2382
Joined: 18 Dec 2007, 12:23
OTRS Version?: 4/5/6
Real Name: Roy Kaldung
Company: Znuny Inc.
Contact:

Re: IO::Socket::SSL upgrade after migration 5 to 6 (Centos 7 + Postgresql)

Post by root »

Hi,

If you're affected by the mention bug the easiest way of updating will be cpan:

Code: Select all

yum install -y perl-App-cpanminus
cpanm IO::Socket::SSL Net::SMTP
But keep in mind that there is no update mechanism in place. Create your own process on how to deal with this.

- Roy
OTRS 5/6 CentOS / RHEL / Debian / SLES / MySQL / PostgreSQL / Oracle / OpenLDAP / Active Directory / SSO

Do you need professional services for the ((OTRS)) Community Edition? Check out https://www.znuny.com/

LXsysadmin
OTRS newbie
Posts: 21
Joined: 28 Jun 2018, 12:23
OTRS Version?: 5.0.22
Real Name: Martins

Re: IO::Socket::SSL upgrade after migration 5 to 6 (Centos 7 + Postgresql)

Post by LXsysadmin »

root wrote:
09 Sep 2019, 12:06
Hi,

If you're affected by the mention bug the easiest way of updating will be cpan:

Code: Select all

yum install -y perl-App-cpanminus
cpanm IO::Socket::SSL Net::SMTP
But keep in mind that there is no update mechanism in place. Create your own process on how to deal with this.

- Roy
Thank you, looks good now!

Post Reply